﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LazerPoint : MonoBehaviour {
	public Transform origin;
	private LineRenderer line;
	private Quaternion direction;

	// Use this for initialization
	void Start () {
		if (origin == null) {
			origin = transform.parent;
		}
		line = gameObject.GetComponent<LineRenderer>();
		line.startWidth = .06f;
	}

	// Update is called once per frame
	void Update () {
		if ((Time.time * 2f) % 1 > 0.95f) {
			direction = Quaternion.Euler(Random.Range(-90, 0), Random.Range(0,360), 0);
		}
		line.SetPosition(0, origin.position + origin.forward * .5f + origin.up*.1f);
		line.SetPosition(1, origin.position + direction * Vector3.forward * 3f);
	}
}
