﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AdjustHeightToWaves : MonoBehaviour {

	public float HeightAdjustment;
	private WaveGrid m_ThisWaveGrid;
	private Vector2 m_BlockArray;
	// Use this for initialization
	void Start ()
	{
		m_ThisWaveGrid = GameObject.Find("Wave Grid").GetComponent<WaveGrid>();

	}

	// Update is called once per frame
	void Update ()
	{
		Vector3 newVector = (transform.position - m_ThisWaveGrid.transform.position) / (m_ThisWaveGrid.Width*(m_ThisWaveGrid.transform.GetChild(0).GetComponent<Renderer>().bounds.size.x/ m_ThisWaveGrid.transform.GetChild(0).transform.localScale.x)); //*m_ThisWaveGrid.transform.lossyScale.x;

		m_BlockArray = new Vector2(Mathf.FloorToInt(newVector.x*m_ThisWaveGrid.Width*0.83f), Mathf.FloorToInt(newVector.z * m_ThisWaveGrid.Width * 0.83f));
		this.transform.position = new Vector3(transform.position.x, m_ThisWaveGrid.Blocks[(int)m_BlockArray.y, (int)m_BlockArray.x].transform.position.y + HeightAdjustment, transform.position.z);
	}
}
