﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PartyBoatAi : MonoBehaviour {

	public GameObject target, scorer;
	public Vector3 waypoint;
	float distance;
	float movespeed = 3f;
	float CoolDist;
	bool halt = false;
	public bool keenToParty;

		
		void Start () {
		target = GameObject.FindGameObjectWithTag("Player");
		wander ();
		scorer = GameObject.Find ("Score");
		keenToParty = true;
		}

		void Update()
	{
		if(scorer.GetComponent<Scoring>().Rad <5)
		{
			keenToParty = false;
		}

		if(keenToParty == true)
		{
		transform.LookAt (waypoint);
		transform.Translate((Vector3.forward * movespeed) *Time.deltaTime);
		distance = Vector3.Distance (transform.position, waypoint);

		if (distance < 1) {
			wander ();
		}

		CoolDist = Vector3.Distance(transform.position, target.transform.position);

		if (CoolDist < 2 && !halt) {
			goBack ();
			StartCoroutine(Stop(1));
			wander ();

		}
		}
		else
		{
			transform.Translate((Vector3.forward * movespeed) *Time.deltaTime);
			if(CoolDist>10)
			{
				Destroy(this.gameObject);
			}
		}

		}

	void goBack()
	{
		waypoint = Vector3.forward * -10;
	}

	IEnumerator Stop(float wait)
	{
		halt = true;
		yield return new WaitForSeconds(wait);
		halt = false;
	}


	void wander()
	{
		waypoint = ( Random.insideUnitSphere *6 )+ target.transform.position;
		waypoint.y = 1;
	}

}
