using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using RAIN.Action;
using RAIN.Core;
using RAIN.Representation;
using RAIN.Motion;

[RAINAction]
public class checkIfSurfing : RAINAction
{
    public Expression TagToCompare = new Expression();
    public Expression BoolToChange = new Expression();

    public override void Start(RAIN.Core.AI ai)
    {
        base.Start(ai);
    }

    public override ActionResult Execute(RAIN.Core.AI ai)
    {
        RaycastHit hitPoint;

        if(Physics.Raycast(ai.Body.transform.position,Vector3.down,out hitPoint))
        {
            if(!hitPoint.collider.tag.Equals(TagToCompare.Evaluate<string>(ai.DeltaTime, ai.WorkingMemory)))
            {
                ai.WorkingMemory.SetItem<bool>(BoolToChange.Evaluate<string>(ai.DeltaTime, ai.WorkingMemory),true);
            }
            else
            {
                ai.WorkingMemory.SetItem<bool>(BoolToChange.Evaluate<string>(ai.DeltaTime, ai.WorkingMemory), true);
            }
        }
        return ActionResult.SUCCESS;
    }

    public override void Stop(RAIN.Core.AI ai)
    {
        base.Stop(ai);
    }
}